import request from '@/utils/request'

// 查询气瓶追溯列表
export function listTraceback(query) {
  return request({
    url: '/lpgRegulation/traceback/list',
    method: 'get',
    params: query
  })
}

// 查询气瓶追溯详细
export function getTraceback(traceId) {
  return request({
    url: '/lpgRegulation/traceback/' + traceId,
    method: 'get'
  })
}

// 新增气瓶追溯
export function addTraceback(data) {
  return request({
    url: '/lpgRegulation/traceback',
    method: 'post',
    data: data
  })
}

// 修改气瓶追溯
export function updateTraceback(data) {
  return request({
    url: '/lpgRegulation/traceback',
    method: 'put',
    data: data
  })
}

// 删除气瓶追溯
export function delTraceback(traceId) {
  return request({
    url: '/lpgRegulation/traceback/' + traceId,
    method: 'delete'
  })
}

// 导出气瓶追溯
export function exportTraceback(query) {
  return request({
    url: '/lpgRegulation/traceback/export',
    method: 'get',
    params: query
  })
}